<?php
/**
 * @package		Skillset
 * @subpackage	Skillset
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.0.0
 */

// no direct access
defined('_JEXEC') or die;

$class_sfx = htmlspecialchars($params->get('class_sfx'));
$display = $params->get('display', 'default');

if($params->get('css-load')) {
	JHtml::stylesheet(Juri::base() . 'modules/mod_skillset/css/skillset.css');
}

if($params->get('jquery-load')) {
	JLoader::import( 'joomla.version' );
	$version = new JVersion();
	if (version_compare( $version->RELEASE, '2.5', '<=')) {
	    if(JFactory::getApplication()->get('jquery') !== true) {
	        // load jQuery here
	        JFactory::getApplication()->set('jquery', true);
	    }
	} else {
	    JHtml::_('jquery.framework');
	}
}

JFactory::getDocument()->addScript(Juri::base() . 'modules/mod_skillset/js/jquery.isvisible.js');

require JModuleHelper::getLayoutPath('mod_skillset', $display);