<?php
/**
 * @package		Skillset
 * @subpackage	Skillset
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.0.0
 */

// no direct access
defined('_JEXEC') or die;

$skills = rtrim($params->get('skills'), "|");
$skills = explode('|', $skills);

// The loop
foreach ( $skills as $skill ) { 
		
	$skill = explode(',', $skill); ?>
			
	<div class="zen-skillbar zen-skillbar-<?php echo $module->id;?> clearfix " data-percent="<?php echo $skill[1];?>%" data-completed="false">
		<div class="zen-skillbar-title" style="background: <?php echo $skill[3];?>"><span><?php echo $skill[0];?></span></div>
		<div class="zen-skillbar-bar" style="background: <?php echo $skill[2];?>"></div>
		<div class="zen-skill-bar-percent"><?php echo $skill[1];?>%</div>
	</div> 

<?php } ?>
<script>
jQuery( document ).ready(function() {

    function checkSkillbarIsVisisble() {
        jQuery('.zen-skillbar-<?php echo $module->id;?>').each(function(i, el){

            var el = jQuery(el);

            if (el.visible(true)) {
                if (el.attr('data-completed') == "false") {
                    el.attr('data-completed', true);
                    jQuery(this).find('.zen-skillbar-bar').animate({
                        width: jQuery(this).attr('data-percent')
                    },2500);
                }
            }
        });
    }

	// If Visible
    checkSkillbarIsVisisble();

    // Only trigger the effect if the item is visible
    jQuery(window).scroll(function(event) {
        checkSkillbarIsVisisble();
    });
});
</script>